Bug 1270163 - Manila share creation failed with error failed to get share server for share creation. [NEEDINFO]
Manila share creation failed with error failed to get share server for share ...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila (Show other bugs)
7.0 (Kilo)
x86_64 Linux
unspecified Severity high
: ---
: 8.0 (Liberty)
Assigned To: David Sariel
Don Domingo
Depends On:
  Show dependency treegraph
Reported: 2015-10-09 03:30 EDT by deepenmehta
Modified: 2016-01-09 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-09 17:30:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dschoenb: needinfo? (deepenmehta)

Attachments (Terms of Use)
Manila logs and additional detail about OS, services and commands (26.54 KB, application/zip)
2015-10-09 03:30 EDT, deepenmehta
no flags Details

  None (edit)
Description deepenmehta 2015-10-09 03:30:25 EDT
Created attachment 1081200 [details]
Manila logs and additional detail about OS, services and commands

Description of problem:

I have installed RDO Kilo on single-node (allinone) with Manila enabled.
Whenever I tries to create manila share, It starts with status creating but end-up with error status.
[root@allinone ~(keystone_demo)]# manila list
| ID                                   | Name                       | Size | Share Proto | Status | Is Public | Share Type            | Export location | Host                     |
| b0cf8363-e96f-468d-ae51-f975ee3e0d60 | cinder_vol_share_using_nfs | 1    | NFS         | error  | False     | my_default_share_type | None            | allinone@generic#generic |

Error shown in manila/share.log file is,
2015-10-09 12:24:41.605 6486 WARNING manila.share.manager [req-d8e42a2f-cffd-4b3a-8140-4e2fd31abf0d ] Server Information in exception can not be written to db : Invalid server_details 'None' 

2015-10-09 12:24:41.660 6486 ERROR manila.share.manager [req-d8e42a2f-cffd-4b3a-8140-4e2fd31abf0d ] Failed to get share server for share creation.

2015-10-09 12:24:41.802 6486 ERROR oslo_messaging.rpc.dispatcher [req-d8e42a2f-cffd-4b3a-8140-4e2fd31abf0d ] Exception during message handling: SSH connection has not been established to in 300s. Giving up.

2015-10-09 12:24:41.802 6486 TRACE oslo_messaging.rpc.dispatcher ServiceInstanceException: SSH connection has not been established to in 300s. Giving up.

Version-Release number of selected component (if applicable):
packstack Kilo 2015.1.dev1616.g5526c38 (packstack --version) 
openstack 1.0.3 (openstack --version)
1.1.0 (manila --version)
2.4.0 (neutron --version)
2.23.0 (nova --version)

How reproducible:
Whenever tries to create manila share using command,
[root@allinone ~(keystone_demo)]# manila create --name cinder_vol_share_using_nfs --share-type my_default_share_type --share-network 7ef17688-f574-437e-a0d5-3e0d830c3b12 NFS 1

Steps to Reproduce:
1. Install packstack Kilo version,
[root@allinone]# packstack --allinone --gen-answer-file answer.txt

2. Create Manila share network, 
[root@allinone ~(keystone_demo)]# manila share-network-create --neutron-net-id 29c3f54b-0408-4aee-a2d1-8d993f2aba5e --neutron-subnet-id b076e197-2a18-49ac-a2e2-a8f9900613f3 --name share_network_for_10xxx --description "Share network for subnet"
[Please Note: Here, we provided private network-id and subnet-id]

3. Create share type,
[root@allinone ~(keystone_demo)]# manila type-create my_default_share_type true

4. Create manila share,
[root@allinone ~(keystone_demo)]# manila create --name cinder_vol_share_using_nfs --share-type my_default_share_type --share-network 287203f6-3c25-442f-9151-98f6da3e91be  NFS 1

Actual results:
Share is not created with error status. Error is, "SSH connection has not been established to in 300s. Giving up."

Expected results:
Share must be created and status of manila list of share should be shown as "available".

Additional info:
- Attached all Manila logs (share.log contains error information)
- Attached "additional_info.txt" contains the additional information about,
  - OS info 
  - Firewall Status  (disabled)
  - SELinux Status (disabled)
  - NetworkManager status (disabled)
  - Manila services status (Running)
  - ifconfig
  - ovs-vsctl
Comment 2 deepenmehta 2015-10-09 05:44:14 EDT
Please note other instances will be easily accessible through ssh or ip netns exec qdhcp-29c3f54b-0408-4aee-a2d1-8d993f2aba5e ssh.
Comment 3 deepenmehta 2015-10-16 03:11:23 EDT
Any updates ??
Comment 6 Dustin Schoenbrun 2015-11-11 11:22:36 EST
(In reply to deepenmehta from comment #3)
> Any updates ??

Do you happen to have the manila.conf file from that environment? I'm assuming you were using the Generic Share Driver for Manila in your environment and I want to make sure it was configured correctly.
Comment 7 Sergey Gotliv 2016-01-09 17:30:29 EST
At this point we don't have enough information to continue investigation.

Note You need to log in before you can comment on or make changes to this bug.